Bug 147961 - RPM tries to contact pgp.mit.edu
RPM tries to contact pgp.mit.edu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 22:27 EST by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 22:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-02-13 22:27:24 EST
See http://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=404

If pgp.mit.edu isn't around or able to be contacted, the RPM transaction hangs
for a long while attempting to connect() this server.
Comment 1 Jeff Johnson 2005-02-14 11:21:56 EST
Yep. Do one of the following

0) rpm --import the pubkey

1) configure a different key server in /etc/rpm/macros:
    %_hkp_keyserver  hkp://sks.keyserver.penguin.de

2) disable lookup in /etc/rpm/macros:
    %_hkp_keyserver  %{nil}
Comment 2 Jens Petersen 2005-02-25 10:06:42 EST
Shouldn't it at least print some warning when it
attempts to access a keyserver, so that users at least
understand why say "rpm -qa" takes forever when no
keys are installed... :)
Comment 3 Jens Petersen 2005-02-25 10:10:56 EST
Or change the default to (2)?
Comment 4 Joe Orton 2005-02-25 10:17:46 EST
I second that.  The potential for network issues to screw with RPM
behaviour *by default* breaks the principle of least surprise in a big
way.
Comment 5 Jeff Johnson 2005-03-03 13:41:49 EST
printing warnings on timeouts creates more problems than it solves.

I've chosen the default as I think appropriate for rpm. Certainly
the default can be changed to taste on a per-distro or per-user
basis, all as descibed above. Alas, only one default can be chosen.

Any change to rpm causes surprise to someone, that is simply no way to
please everyone, nor to choose a default that works for everyone.

So make yer own configuartion choices to your taste as described
above in 1) or 2) or 3).
Comment 6 Jens Petersen 2005-03-03 21:58:20 EST
So let's change the default to (2) for Fedora...

Re-assigning to redhat-rpm-config.
Comment 7 Elliot Lee 2005-03-21 22:35:18 EST
Committed to redhat-rpm-config CVS - this will eventually make its way into rawhide.

Note You need to log in before you can comment on or make changes to this bug.